update Namespace Reference

## Variables

| releases = json.loads(str(urllib.request.urlopen('https://api.github.com/repos/nlohmann/json/releases').read(), 'utf-8'))
list | release_url_map = []
| process = subprocess.Popen(['git', 'tag'], stdout=subprocess.PIPE)
| tags = set(filter(None, str(tags, 'utf-8').split("\n")))
bool | did_update = False
| mode
| o777
| exist_ok
| data = urllib.request.urlopen(url).read();
bool | has_json_fwd = False
string | json_fwd_url = 'https://github.com/nlohmann/json/raw/{}/include/nlohmann/json_fwd.hpp'.format(tag);

## Variable Documentation

## data

update.data = urllib.request.urlopen(url).read();

## did_update

bool update.did_update = False

## exist_ok

update.exist_ok

## has_json_fwd

bool update.has_json_fwd = False

## json_fwd_url

string update.json_fwd_url = 'https://github.com/nlohmann/json/raw/{}/include/nlohmann/json_fwd.hpp'.format(tag);

## mode

update.mode

## o777

update.o777

## process

update.process = subprocess.Popen(['git', 'tag'], stdout=subprocess.PIPE)

## release_url_map

list update.release_url_map = []

## releases

update.releases = json.loads(str(urllib.request.urlopen('https://api.github.com/repos/nlohmann/json/releases').read(), 'utf-8'))

## tags

update.tags = set(filter(None, str(tags, 'utf-8').split("\n")))